<template>
	<view>
		<!-- #ifdef MP-ALIPAY -->
		<view v-if="pagesNum > 1">
			<u-navbar :placeholder="true" bgColor="#fff" :autoBack="true" :border="true" title="我的仓库" leftIconSize="0"></u-navbar>
		</view>
		<view v-else>
			<u-navbar leftIconSize="0" :placeholder="true" bgColor="#fff" title="我的仓库">
				<view class="nav-left flex" slot="left" @click="toIndex">
					<u-icon name="arrow-left" size="20" color="#333"></u-icon>
				</view>
			</u-navbar>
		</view>
		<!-- #endif -->
		<!-- #ifndef MP-ALIPAY -->
		<view v-if="pagesNum > 1">
			<u-navbar :placeholder="true" bgColor="#fff" :autoBack="true" :border="true" title="我的仓库"></u-navbar>
		</view>
		<view v-else>
			<u-navbar leftIconSize="0" :placeholder="true" bgColor="#fff" title="我的仓库">
				<view class="nav-left flex" slot="left" @click="toIndex">
					<u-icon name="arrow-left" size="20" color="#333"></u-icon>
				</view>
			</u-navbar>
		</view>
		<!-- #endif -->
		<!-- 奖品选择 -->
		<view class="prize-state">
			<!-- 类型 -->
			<view class="prize-state-tabs">
				<u-tabs @change="changeTab" :scrollable="false" :list="stateArr" lineWidth="30" lineHeight="3"
					:current='currentIndex' lineColor="#F9822C " :activeStyle="{
										color: '#333 ',
										transform: 'scale(1.1)',
										width: '120px'
									}" :inactiveStyle="{
										color: '#999',
										transform: 'scale(1)',
										width: '120px'
									}" itemStyle="padding-left: 20px; padding-right: 15px; height: 44px; text-align: center;">
				</u-tabs>
			</view>
			<!-- 商品状态 -->
			<!-- <view class="prize-state-type flex" v-if="state == 0">
				<view class="prize-state-type-item" :class="{ 'prize-state-type-item__action': index == typeIndex }"
					v-for="(item, index) in typeList" :key="index" @click="typeState(index)">{{ item.name }}</view>
			</view> -->
		</view>
		<!-- 实物商品 -->
		<view class="prize-goods" v-if="state == 0">
			<view class="prize-goods-list">
				<view class="prize-goods-list-item" v-for="(item, index) in list" :key="index">
				<!-- <view class="prize-goods-list-item" v-for="(item, index) in list" :key="index" > -->
					<!-- 商品 -->
					<view class="prize-goods-list-item__content flex">
						<view class="flex" v-if="item.status == 1">
							<u-checkbox-group>
								<u-checkbox size="24" :value="item.checked" shape="circle" :checked="item.checked"
									activeColor="#F9822C" @change="changeChecked($event, item)"></u-checkbox>
							</u-checkbox-group>
						</view>
						<view class="info flex" @click="toPrizeGoods(item)">
							<image :src="item.picUrl" mode="aspectFill"></image>
							<view class="desc flex">
								<view class="ells title">{{ item.title }}</view>
								<view class="num flex">
									<view class="sku ells-one" v-if="item.goodsType === 1">规格：{{ item.properties || '-' }}</view>
									<view class="sku ells-one" v-else></view>
									<view class="">共{{ item.goodsNum }}件</view>
								</view>
							</view>
						</view>
					</view>
					<!-- 来源 -->
					<view class="prize-goods-list-item__btn flex" v-if="item.status == 1">
						<view class="type">来自：{{ item.inType && item.inType.desc }}</view>
						<view class="btn" @click="toRecovery(item)" v-if="item.inType.value == '1' && item.recovery && item.discountRate > 0">兑换盲豆</view>
						<view class="btn" @click="toRecovery(item)" v-else-if="item.inType.value == '1' && item.type.value == 'offline' && item.discountRate > 0">兑换盲豆</view>
					</view>
					<view class="prize-goods-list-item__btn flex" v-else>
						<view class="type"></view>
						<!-- <view class="btnTwo">已兑换</view> -->
					</view>
				</view>
				<u-loadmore :line="true" v-if="list.length>4" :status="status" :loading-text="'努力加载中'" :nomore-text="'已经到底了'" />
			</view>
			<view class="flex empty" v-if="!list.length && !loading">
				<view class="center">
					<image class="center-img" src="https://mp-public-1310078123.cos.ap-shanghai.myqcloud.com/v2/nodata_3.png" mode="scaleToFill"></image>
					<view class="center-font">还没有商品</view>
				</view>
			</view>
		</view>
		<!-- 优惠券 -->
		<view class="prize-coupon" v-else>
			<view class="prize-coupon-list">
				<view @click="toPrizeDetail(item)" class="prize-coupon-list-item" v-for="(item, index) in list" :key="index">
					<view class="content flex">
						<view class="content-left flex">
							<image src="../static/prize_coupon.png" mode="scaleToFill"></image>
							<view class="price flex">
								<text>{{ item.discount / 100 }}</text>
								<text>元</text>
							</view>
						</view>
						<view class="content-right flex">
							<view class="title ells-one">{{ item.title }}</view>
							<view class="desc" v-if="item.type && JSON.parse(item.type).value == 2 && item.useArea && JSON.parse(item.useArea).value == 1">适用范围：点击查看</view>
							<view class="desc" v-else-if="item.type && JSON.parse(item.type).value == 2 && item.useArea && JSON.parse(item.useArea).value == 0">适用范围：点击查看</view>
							<view class="desc" v-else>适用范围：{{ item.useAreaDesc || '-' }}</view>
							<view class="desc">使用期限：{{ $parseTime(item.validStart, '{y}.{m}.{d}') }} ~ {{ $parseTime(item.validEnd, '{y}.{m}.{d}') }}</view>
						</view>
					</view>
					<view class="btn flex">
						<view class="btn-title" v-if="JSON.parse(item.useArea).value != '4'">立即使用</view>
						<view class="btn-title" v-else>查看详情</view>
					</view>
				</view>
				<u-loadmore :line="true" v-if="list.length>4" :status="status" :loading-text="'努力加载中'" :nomore-text="'已经到底了'" />
			</view>
			<view class="flex empty" v-if="!list.length && !loading">
				<view class="center">
					<image class="center-img" src="https://mp-public-1310078123.cos.ap-shanghai.myqcloud.com/v2/nodata_1.png" mode="scaleToFill"></image>
					<view class="center-font">还没有优惠券</view>
				</view>
			</view>
		</view>
		<view class="prize-action">
			<!-- 实物商品提货 -->
			<view class="flex prize-action-goods" v-if="state == 0 && statusIndex == 1">
				<view class="flex checkbox">
					<u-checkbox-group>
						<u-checkbox v-model="checkedAll" shape="circle" size="24" :checked="checkedAll"
							activeColor="#F9822C" @change="changeCheckedAll($event)"></u-checkbox>
					</u-checkbox-group>
					<view class="all">全选</view>
				</view>
				<view class="btn" @click="toSettlement">立即提货</view>
			</view>
			<!-- 优惠券使用记录 -->
			<view class="flex prize-action-coupon" @click="toCoupon" v-if="state == 1">
				<view class="title">优惠券使用记录</view>
				<u-icon name="arrow-right" size="15" color="#999"></u-icon>
			</view>
		</view>
		
		<!-- 兑换成功 -->
		<u-popup :show="tipShow" mode="center">
			<view class="tip-show">
				<view class="tip-show-title">
					<view>确认选择后，如需变更规格，请联系客服</view>
				</view>
				<view class="tip-show-titletwo">
					<view>当前规格：{{tipData.properties}}</view>	
				</view>
				<view class="flex tip-show-btn">
					<view class="close" @click="tipShow = false">取消</view>
					<view class="prize" @click="tipSecction">确认选择</view>
				</view>
			</view>
		</u-popup>
		
		<!-- 商品选择sku -->
		<sku-popup 
			:popup-show="skuPopupShow" 
			:detailInfo="info" 
			:popup-info="payInfo"
			:sku-list-init="skuListInit" 
			:sku-list-popup="skuList" 
			@close="close"
			@success="skuSuccess"
			v-if="skuPopupShow"
		/>
	</view>
</template>

<script>
	import env from '../../config/env.js'
	import $http from '@/utils/request.js'
	import skuPopup from '../components/sku-popup/sku-popup.vue'
	export default {
		components: {
			skuPopup
		},
		data() {
			return {
				status: 'nomore',//上拉刷新状态
				loading: false,
				stateArr: [{
					name: ' 商品',
				}, {
					name: ' 优惠券',
				}],
				// typeList: [{
				// 	name: '待提货'
				// }, 
				// {
				// 	name: '已兑换'
				// },
				// ],
				typeIndex: 0,
				state: 0,
				checkedAll: false,

				pageNum: 1,
				total: 0,
				list: [],

				currentIndex: 0,
				pagesNum: "",
				
				statusIndex: 1,
				
				info: {},
				skuPopupShow: false,//选择框
				skuList: [],
				skuListInit: [],
				tipShow: false,
				tipData: {},
				payInfo: {},
				// infoItem: {},
			};
		},
		onShow() {
			this.pagesNum = getCurrentPages().length
			this.pageList()
			this.couponNum()
		},
		onLoad(opthios) {
			if (opthios != undefined) {
				if (opthios.coupon == 1) {
					this.currentIndex = 1
					this.state = 1
				} else {
					this.currentIndex = 0
					this.state = 0
				}
			}
		},
		methods: {
			getList() {
				let _this = this
				let url = _this.state == 0 ? '/api/v1/mp/user/mine/prize/list' : '/api/v1/mp/user/mine/coupon/list'
				let data = _this.state == 0 ? { } : {
					status: 1
				}
				this.loading = true
				this.checkedAll = false
				$http.post(`${ url }?pageNum=${_this.pageNum}&pageSize=20`, data).then(res => {
					this.loading = false
					if (res.code == 0) {
						res.rows.forEach(item => {
							item.status = JSON.parse(item.status).value
							let picUrlArr = item.picUrl.split(',')
							item.picUrl = env.filePublic + picUrlArr[0] + '?imageView2/2/w/170'
							if (_this.state == 0) {
								item.checked = false
								item.inType = JSON.parse(item.inType)
								item.type = JSON.parse(item.type)
							}
						})
						_this.total = res.total
						_this.list = _this.list.concat(res.rows)
					}
				}).catch(() => {
					this.loading = false
				})
			},
			
			getListTwo(){
				let _this = this
				let url = '/api/v1/mp/user/prize/recovery/list'
				this.loading = true
				this.checkedAll = false
				$http.post(`${ url }?pageNum=${_this.pageNum}&pageSize=20`, {}).then(res => {
					uni.hideLoading();
					this.loading = false
					if (res.code == 0) {
						res.rows.forEach(item => {
							item.status = 3
							item.goodsNum = item.num
							let picUrlArr = item.picUrl.split(',')
							item.picUrl = env.filePublic + picUrlArr[0] + '?imageView2/2/w/170'
						})
						_this.total = res.total
						_this.list = _this.list.concat(res.rows)
					}
				}).catch(() => {
					uni.hideLoading();
					this.loading = false
				})
			},
			
			typeState(index){
				this.list = []
				this.typeIndex = index//样式改变
				// this.statusIndex = index
				if(index == 0 ){
					this.statusIndex = 1 //待提货
					this.pageNum = 1
					this.getList()
				}
				if(index == 1 ){
					this.statusIndex = 3 //已兑换
					this.pageNum = 1
					this.getListTwo()
				}
			},

			toIndex() {
				uni.switchTab({
					url: '/pages/user/index'
				})
			},
			
			toRecovery(item) {
				uni.navigateTo({
					url: `/packageGoods/recovery/index?goodsId=${ item.goodsId}&num=${ item.goodsNum }&storageId=${ item.storageId }&properties=${item.properties }&skuId=${ item.skuId }`
				})
			},

			pageList() {
				this.typeIndex = 0
				this.pageNum = 1
				this.list = []
				this.getList()
			},

			// 切换奖品
			changeTab(e) {
				if (e.index == 0) {
					this.state = 0
					this.statusIndex = 1
				} else if (e.index == 1) {
					this.state = 1
				}
				this.pageList()
				this.checkedAll = false
			},
			
			close() {
				this.skuPopupShow = false
				this.tipShow = false
			},
			skuSuccess(data) {
				this.tipData = data
				this.close()
				this.tipShow = true
				// this.pageList()
			},
			
			tipSecction() {
				uni.showLoading({
					title: '兑换中'
				});
				$http.post('/api/v1/mp/user/mine/prize/saveSku', this.tipData).then(res => {
					uni.hideLoading();
					if (res.code == 0) {
						for (var i = 0; i < this.list.length; i++) {
							if(this.list[i].storageId == this.info.storageId){
								this.$set(this.list[i],"properties",this.tipData.properties)
							}
						}
						this.close()
					} else if (res.code == 1021) {
						uni.$u.toast(res.msg);
					}
				}).catch(() => {
					uni.hideLoading();
				})
			},

			changeChecked(e, item) {
				if(item.checked == false && item.isMoreSku == 1 && item.inType.value != 2 && item.properties == ""){
					$http.post('/api/v1/mp/user/exchange/goods/detail', {
						goodsId: item.goodsId,
						noToken: true
					}).then(res => {
						this.info = item
						this.skuPopupShow = true
						this.skuListInit = res.data.skuList
						if (res.data.skuList.length) {
							let skuProp = JSON.parse(res.data.skuProp)
							skuProp.forEach(item => {
								item.actionIndex = 0,
									item.txt = `${item.name}:${item.value[0]}`
							})
							let actionSku = skuProp.map(item => {
								return item.txt
							}).join(';')
							let sku = res.data.skuList.find(item => {
								return item.properties == actionSku
							})
							this.payInfo = {
								...sku,
								exValue: sku.exchangePrice,
								storageId: item.storageId,
								price: sku.value,
								picUrl: env.filePublic + sku.picUrl
							}
							this.skuList = skuProp
						} else {
							this.payInfo = {
								...res.data,
								price: this.info.value,
								exValue: this.info.exchangePrice,
								picUrl: this.picUrlArr[0],
								storageId: item.storageId,
							}
						}
					})
				}
				let bool = this.list.every(res => res.checked ? item.goodsType == res.goodsType : item.goodsType)
				if(!bool && e == true) {
					uni.$u.toast('实物商品和卡密商品不能同时提货')
				}
        this.$set(item, 'checked', e)
				let flag = this.list.every(item => item.checked == true)
				this.checkedAll = flag
				this.$forceUpdate()
			},

			changeCheckedAll(e) {
				this.checkedAll = e
				this.list.forEach(item => {
					item.checked = e
				})
				this.$forceUpdate()
			},

			// 查看优惠券使用记录
			toCoupon() {
				uni.navigateTo({
					url: '/packagePrize/coupon/use'
				})
			},

			// 立即提货
			toSettlement() {
				let arr = []
        this.list.forEach(item => {
          if (item.checked) {
            arr.push(item)
          }
        })
        if (!arr.length) {
          uni.$u.toast('请选择商品');
          return
        }
        let bool = this.list.every(res => res.checked ? arr[0].goodsType === res.goodsType : arr[0].goodsType)
        if(!bool){
          uni.$u.toast('实物商品和卡密商品不能同时提货');
          return;
        }
				for (var i = 0; i < this.list.length; i++) {
					//选中 && 是多sku && 不为盲豆兑换 && sku为空
					if(this.list[i].checked && this.list[i].isMoreSku == 1 && this.list[i].inType.value != 2 && this.list[i].properties == ""){
							$http.post('/api/v1/mp/user/exchange/goods/detail', {
								goodsId: this.list[i].goodsId,
								noToken: true
							}).then(res => {
								this.info = this.list[i]
								this.skuPopupShow = true
								this.skuListInit = res.data.skuList
								if (res.data.skuList.length) {
									let skuProp = JSON.parse(res.data.skuProp)
									skuProp.forEach(item => {
										item.actionIndex = 0,
											item.txt = `${item.name}:${item.value[0]}`
									})
									let actionSku = skuProp.map(item => {
										return item.txt
									}).join(';')
									let sku = res.data.skuList.find(item => {
										return item.properties == actionSku
									})
									this.payInfo = {
										...sku,
										exValue: sku.exchangePrice,
										storageId: this.list[i].storageId,
										price: sku.value,
										picUrl: env.filePublic + sku.picUrl
									}
									this.skuList = skuProp
								} else {
									this.payInfo = {
										...res.data,
										price: this.info.value,
										exValue: this.info.exchangePrice,
										picUrl: this.picUrlArr[0],
										storageId: this.list[i].storageId,
									}
								}
							})
						return
					}
				}
				uni.showLoading({
					title: '提货中'
				});
				let ids = JSON.stringify(arr.map(item => item.storageId))
				uni.hideLoading();
				uni.navigateTo({
					url: `/packageGoods/order/settlement?ids=${ ids }`
				})
			},

			couponNum() {
				$http.post(`/api/v1/mp/user/mine/prize/list?pageNum=1&pageSize=20`, {

				}).then(res => {
					$http.post(`/api/v1/mp/user/mine/coupon/list?pageNum=1&pageSize=20`, {
						status: 1
					}).then(data => {
						if (res.code == 0) {
							this.stateArr = [{
									name: ' 商品 (' + res.total + ') '
								},
								{
									name: ' 优惠券 (' + data.total + ') '
								},
							]
						} else {
							this.stateArr = [{
									name: ' 商品 (0)'
								},
								{
									name: ' 优惠券 (0)'
								},
							]
						}
					})
				});
			},

			toPrizeGoods(item) {
				uni.navigateTo({
					url: `/packagePrize/goods/detail?id=${ item.goodsId }`
				})
			},

			toPrizeDetail(item) {
				let boxIds = JSON.stringify(item.boxIds)
				let useArea = JSON.parse(item.useArea)
				let type = JSON.parse(item.type)
				// 1判断type,如果为门店直接跳转不需要判断useArec
				if (type.value == 2) {
					// data.value 2为指定优惠券 0为通用优惠券
					uni.navigateTo({
						url: `/packagePrize/coupon/detail?id=${ item.id }`
					})
				} else {
					// 3为线上票使用
					if (useArea.value == 3 || useArea.value == 1) {
						uni.navigateTo({
							url: `/packageGoods/ticket/index?ids=${ boxIds }`
						})
					}

					//0为通用优惠券
					if (useArea.value == 0) {
						uni.navigateTo({
							url: `/packageGoods/ticket/index`
						})
					}

					// 4为线下票使用
					if (useArea.value == 4) {
						uni.navigateTo({
							url: `/packagePrize/coupon/detail?id=${ item.id }`
						})
					}
				}
			}
		},

		onReachBottom() {
			if(this.total < this.pageNum * 20) return ;
			this.status = 'loading';
			++this.pageNum
			if(this.total < this.pageNum * 20) this.status = 'nomore';
				else this.status = 'loading';
			this.statusIndex == 3 && this.state == 0 ? this.getListTwo():this.getList()
		},
	}
</script>

<style lang="scss" scoped>
	.empty {
		height: 60vh;
	}

	.prize-state {
		position: fixed;
		background-color: #FFFFFF;
		width: 100%;
		z-index: 10;
		box-shadow: 0 2rpx 2rpx #ececec;

		// 类型
		&-tabs {
			display: flex;
			box-shadow: 0 5rpx 5rpx #ececec;
		}

		// 商品状态
		&-type {
			justify-content: flex-start;
			padding: 24rpx 34rpx;

			&-item {
				margin-right: 34rpx;
				padding: 12rpx 36rpx;
				border-radius: 24rpx;
				color: #FFAB4D;
			}

			&-item__action {
				background: #FFAB4D;
				color: #fff;
			}
		}
	}

	// 实物商品
	.prize-goods {
		// margin-top: 180rpx;
		margin-top: 70rpx;
		padding: 34rpx 34rpx 200rpx;

		&-list {

			&-item {
				padding: 34rpx 22rpx 34rpx;
				background-color: #fff;
				border-radius: 18rpx;
				margin-bottom: 30rpx;
				
				&__content {
					justify-content: space-between;
					padding-bottom: 34rpx;
					
					.info {
						padding-left: 16rpx;
						flex: 1;
						justify-content: flex-start;
						
						image {
							width: 176rpx;
							height: 176rpx;
							border-radius: 12rpx;
						}
						
						.desc {
							height: 176rpx;
							padding-left: 22rpx;
							flex: 1;
							font-size: 30rpx;
							flex-direction: column;
							align-items: flex-start;
							justify-content: space-between;
							
							.title {
								line-height: 40rpx;
								font-weight: bold;
							}
							
							.num {
								width: 100%;
								color: #666666;
								font-size: 26rpx;
								justify-content: space-between;
								
								.sku {
									flex: 1;
								}
							}
						}
					}
				}
				
				&__btn {
					justify-content: space-between;
					
					.type {
						font-size: 26rpx;
						color: #999999;
						line-height: 26rpx;
						padding-left: 70rpx;
					}
					
					.btn {
						width: 168rpx;
						height: 60rpx;
						line-height: 60rpx;
						text-align: center;
						color: #F9822C;
						border: 1px solid #F9822C;
						border-radius: 30rpx;
					}
					.btnTwo {
						width: 168rpx;
						height: 60rpx;
						line-height: 60rpx;
						text-align: center;
						border-radius: 30rpx;
						background-color: #f1f1f1; 
						color: #666;
						border: 2rpx solid #999;
					}
				}
			}

			&-item:last-child {
				margin-bottom: 0;
			}
		}
	}

	// 优惠券
	.prize-coupon {
		margin-top: 85rpx;
		padding: 20rpx 20rpx 150rpx;

		&-list {
			&-item {
				padding-top: 30rpx;
				margin-bottom: 30rpx;
				background-color: #fff;
				
				.content {
					width: 100%;
					height: 184rpx;
					justify-content: flex-start;
					margin-bottom: 40rpx;
					
					&-left {
						width: 210rpx;
						height: 100%;
						margin-right: 20rpx;
						
						image {
							width: 100%;
							height: 100%;
						}
						
						.price {
							position: absolute;
							color: #fff;
							
							text:first-child {
								font-size: 45rpx;
							}
							
							text:last-child {
								font-size: 40rpx;
							}
						}
					}
					
					&-right {
						flex: 1;
						align-items: flex-start;
						flex-direction: column;
						justify-content: space-between;
						height: 100%;
						padding: 24rpx 0;
						
						.title {
							font-size: 32rpx;
							line-height: 32rpx;
							height: 32rpx;
							overflow: hidden;
							font-weight: bold;
						}
						
						.desc {
							font-size: 24rpx;
							line-height: 24rpx;
							color: #999999;
						}
					}
				}
				
				.btn {
					padding: 20rpx 0 22rpx;
					margin: 0 30rpx 0;
					border-top: 1px solid #F2F2F2;
					
					&-title {
						font-size: 30rpx;
						line-height: 30rpx;
						height: 30rpx;
						font-weight: bold;
						color: #F9822C;
					}
				}
			}

			&-item:last-child {
				margin-bottom: 0;
			}
		}
	}

	.prize-action {
		position: fixed;
		bottom: var(--window-bottom);
		left: 0;
		right: 0;
		z-index: 10;
		box-shadow: 0 -4rpx 10rpx 0 rgba(151, 151, 151, 0.24);
		background: #fff;
		width: 100%;

		// 设置ios刘海屏底部横线安全区域
		padding-bottom: constant(safe-area-inset-bottom);
		padding-bottom: env(safe-area-inset-bottom);

		&-goods {
			justify-content: space-between;
			padding: 20rpx 40rpx;

			.all {
				margin-right: 10rpx;
			}

			.btn {
				width: 225rpx;
				height: 82rpx;
				font-size: 28rpx;
				line-height: 82rpx;
				border-radius: 40rpx;
				background-color: #F9822C;
				color: #fff;
				text-align: center;
			}
		}

		&-coupon {
			padding: 24rpx 40rpx;

			.title {
				margin-right: 10rpx;
				color: #999;
				line-height: 40rpx;
			}
		}
	}
	.empty {
		height: 60vh;
		
		.center {
			text-align: center;
	
			&-img {
				width: 228rpx;
				height: 320rpx;
			}
	
			&-font {
				font-size: 30rpx;
				font-weight: 400;
				color: #999999;
				margin-bottom: 350rpx;
			}
		}
	}
	
	
	.tip-show {
		width: 80vw;
		background-color: #FFFFFF;
		border-radius: 10rpx;
		padding: 60rpx 40rpx;
	
		&-title {
			margin-bottom: 64rpx;
	
			view {
				margin-left: 20rpx;
			}
		}
		&-titletwo {
			margin-bottom: 64rpx;
			
			view {
				margin-left: 20rpx;
				color: #999; font-size: 26rpx;
			}
		}
	
		&-btn {
			justify-content: space-around;
	
			.close {
				width: 160rpx;
				height: 60rpx;
				line-height: 60rpx;
				border-radius: 8rpx;
				color: rgba(235, 112, 9, 100);
				font-size: 28rpx;
				text-align: center;
				border: 1px solid rgba(235, 112, 9, 100);
			}
	
			.prize {
				width: 160rpx;
				height: 60rpx;
				line-height: 60rpx;
				border-radius: 8rpx;
				color: rgba(235, 112, 9, 100);
				font-size: 28rpx;
				text-align: center;
				background-color: rgba(235, 112, 9, 100);
				color: rgba(255, 255, 255, 100);
				font-size: 14px;
			}
		}
	}
	
</style>
